import { createFeatureSelector, createSelector } from "@ngrx/store";
import { BarsState } from "../reducers/bars.reducers";

export const baseSelector = createFeatureSelector('bars');

export const allBarsSelector = createSelector(baseSelector, (barsState: BarsState) => barsState?.bars);

export const currentBarSelector = createSelector(baseSelector, (barsState: BarsState) => barsState?.currentBar);